<?php 
require_once( config_get( 'class_path' ) . 'MantisPlugin.class.php' );
require_once('pages/constant_inc.php');

/*! \class MantisImportUserPlugin 
    \brief Cette classe  pour rle d'implmenter le plugin MantisImportUser dans Mantis.
*/
class MantisImportUserPlugin extends MantisPlugin {
 
    /*! \fn register()
        \brief Une mthode qui complte les informations sur le plugin.
    */
	function register() {
		$this->name        = lang_get( 'plugin_'.MANTIS_IMPORTUSER_REGISTER_NAME.'_'.MANTIS_IMPORTUSER_LANG_TITLE_PLUGIN);	
		$this->description = lang_get( 'plugin_'.MANTIS_IMPORTUSER_REGISTER_NAME.'_'.MANTIS_IMPORTUSER_LANG_DESC_PLUGIN);	
		$this->version     = MANTIS_IMPORTUSER_VERSION;
		$this->requires    = array(
		  'MantisCore' => MANTIS_IMPORTUSER_REQUIRE,
		);
		$this->author      = MANTIS_IMPORTUSER_AUTHOR;
		$this->contact     = MANTIS_IMPORTUSER_EMAIL;
   }
   
    /*! \fn hooks()
        \brief Mthode permettant de rfrencer et rediriger les vnements Mantis. 
    */
    function hooks() {
		$hooks = array(
			MANTIS_IMPORTUSER_PLACE_PLUGIN => 'getLinkImportUsers',
		);
		return $hooks;
	}
	
    /*! \fn getLinkImportUsers()
        \brief Mthode associ  l'venement EVENT_MENU_MANAGE. Elle renvoie un lien dans le menu de gestion. 
    */
	function getLinkImportUsers()
	{
		return(array("<a href=\"".plugin_page(MANTIS_IMPORTUSER_FORM_NAME)."\">".lang_get( 'plugin_'.MANTIS_IMPORTUSER_REGISTER_NAME.'_'.MANTIS_IMPORTUSER_LANG_TITLE_MENU)."</a>"));
	}
	
	
}

