<?php
    auth_reauthenticate();
    html_page_top( plugin_lang_get( 'title' ) );
    print_manage_menu();
      
    require(MANTIS_IMPORTUSER_PATH_CMANTISUSER);      
    require(MANTIS_IMPORTUSER_PATH_CMANTISIMPORTUSERIHM); 
    require(MANTIS_IMPORTUSER_PATH_CMANTISIMPORTUSERLDAP);   
    require(MANTIS_IMPORTUSER_PATH_JS_VERIF_FORM);
    require(MANTIS_IMPORTUSER_PATH_JS_TICK_UNTICK);
        
    CMantisImportUserIHM::display_start_div_align(MANTIS_IMPORTUSER_DIV_ALIGN_CENTER);  
    
	//Initialisation des variables lies au LDAP.
	if(isset($_POST[MANTIS_IMPORTUSER_POST_LDAPDN]) && isset($_POST[MANTIS_IMPORTUSER_POST_LDAPFILTER]) && isset($_POST[MANTIS_IMPORTUSER_POST_LDAPSERVER]) && isset($_POST[MANTIS_IMPORTUSER_POST_LDAPPORT]) && isset($_POST[MANTIS_IMPORTUSER_POST_LDAPBINDDN]))
	{
        $server_parameters = array($_POST[MANTIS_IMPORTUSER_POST_LDAPSERVER],$_POST[MANTIS_IMPORTUSER_POST_LDAPPORT],$_POST[MANTIS_IMPORTUSER_POST_LDAPBINDDN],$_POST[MANTIS_IMPORTUSER_POST_LDAPMDP]);
        $search_parameters = array($_POST[MANTIS_IMPORTUSER_POST_LDAPDN],$_POST[MANTIS_IMPORTUSER_POST_LDAPFILTER]); 
        $user_parameters   = array($_POST[MANTIS_IMPORTUSER_POST_EMAILUSER],$_POST[MANTIS_IMPORTUSER_POST_PWDUSER],$_POST[MANTIS_IMPORTUSER_POST_LEFTMASKUSER],$_POST[MANTIS_IMPORTUSER_POST_RIGHTMASKUSER],$_POST[MANTIS_IMPORTUSER_POST_LEVEL]);
        
        $MyMantisImportUserIHM  = new CMantisImportUserIHM($server_parameters,$search_parameters,$user_parameters);
        $MyMantisImportUserLDAP = new CMantisImportUserLDAP($server_parameters,$search_parameters);

        $label_server_parameters = array('  '.lang_get('plugin_'.MANTIS_IMPORTUSER_REGISTER_NAME.'_'.MANTIS_IMPORTUSER_LANG_SERVERPARAMETERS).'  ','  '.lang_get('plugin_'.MANTIS_IMPORTUSER_REGISTER_NAME.'_'.MANTIS_IMPORTUSER_LANG_LDAPSERVER).'  ','  '.lang_get('plugin_'.MANTIS_IMPORTUSER_REGISTER_NAME.'_'.MANTIS_IMPORTUSER_LANG_LDAPPORT).'  ','  '.lang_get('plugin_'.MANTIS_IMPORTUSER_REGISTER_NAME.'_'.MANTIS_IMPORTUSER_LANG_LDAPBINDDN).'  ','  '.lang_get('plugin_'.MANTIS_IMPORTUSER_REGISTER_NAME.'_'.MANTIS_IMPORTUSER_LANG_LDAPASSWORD).'  ');
        $label_search_parameters = array('  '.lang_get('plugin_'.MANTIS_IMPORTUSER_REGISTER_NAME.'_'.MANTIS_IMPORTUSER_LANG_SEARCHPARAMETERS).'  ','  '.lang_get('plugin_'.MANTIS_IMPORTUSER_REGISTER_NAME.'_'.MANTIS_IMPORTUSER_LANG_DN).'  ','  '.lang_get('plugin_'.MANTIS_IMPORTUSER_REGISTER_NAME.'_'.MANTIS_IMPORTUSER_LANG_FILTER).'   ');
        //Affichage du formulaire de configuration.
        $MyMantisImportUserIHM->display_search_form_ldap('return '.MANTIS_IMPORTUSER_JS_VERIF_FORM_USERCONFIG.'()', lang_get('plugin_'.MANTIS_IMPORTUSER_REGISTER_NAME.'_'.MANTIS_IMPORTUSER_LANG_LDAPSARCH), MANTIS_IMPORTUSER_COLOR_DEFAULT_RGB, $label_server_parameters, $label_search_parameters,lang_get('plugin_'.MANTIS_IMPORTUSER_REGISTER_NAME.'_'.MANTIS_IMPORTUSER_LANG_SEARCH));
        
        //Connexion au serveur et l'annuaire
        $MyMantisImportUserLDAP->ConnectToServer(); 
         
 		//Execution de la recherche LDAP
		$result = $MyMantisImportUserLDAP->RunSearch();
		
        $MyMantisImportUserIHM->display_link_select_search(array(lang_get('plugin_'.MANTIS_IMPORTUSER_REGISTER_NAME.'_'.MANTIS_IMPORTUSER_LANG_TICKALLUSERS),MANTIS_IMPORTUSER_JS_TICK_ALL_CHECKBOX.'()'),array(lang_get('plugin_'.MANTIS_IMPORTUSER_REGISTER_NAME.'_'.MANTIS_IMPORTUSER_LANG_UNTICKALLUSERS), MANTIS_IMPORTUSER_JS_UNTICK_ALL_CHECKBOX.'()'));
        
        //Affichage du rsultat de la recherche. 
        $MyMantisImportUserIHM->display_result_from_search($result, array(lang_get('plugin_'.MANTIS_IMPORTUSER_REGISTER_NAME.'_'.MANTIS_IMPORTUSER_LANG_CREATEUSERS), lang_get('plugin_'.MANTIS_IMPORTUSER_REGISTER_NAME.'_'.MANTIS_IMPORTUSER_LANG_NEWSEARCHUSERS), MANTIS_IMPORTUSER_COLOR_BLUE), array(lang_get('plugin_'.MANTIS_IMPORTUSER_REGISTER_NAME.'_'.MANTIS_IMPORTUSER_LANG_ALREADYEXIST),MANTIS_IMPORTUSER_COLOR_RED), lang_get('plugin_'.MANTIS_IMPORTUSER_REGISTER_NAME.'_'.MANTIS_IMPORTUSER_LANG_CREATEUSERS), lang_get('plugin_'.MANTIS_IMPORTUSER_REGISTER_NAME.'_'.MANTIS_IMPORTUSER_LANG_ANOTHERSEARCH),MANTIS_IMPORTUSER_JS_VERIF_FORM_USERCREATE);
	}
    else
    {
        $server_parameters = array(MANTIS_IMPORTUSER_LANG_DFT_LDAPSERVER,MANTIS_IMPORTUSER_LANG_DFT_LDAPPORT,MANTIS_IMPORTUSER_LANG_DFT_LDAPBINDDN,MANTIS_IMPORTUSER_LANG_DFT_PWD);
        $search_parameters = array(MANTIS_IMPORTUSER_LANG_DFT_DN,MANTIS_IMPORTUSER_LANG_DFT_FILTER);
        $user_parameters   = array(MANTIS_IMPORTUSER_LANG_DFT_USEREMAIL,MANTIS_IMPORTUSER_LANG_DFT_USERMDP,MANTIS_IMPORTUSER_LANG_DFT_NBLETTERS_MASK_LEFT,MANTIS_IMPORTUSER_LANG_DFT_NBLETTERS_MASK_RIGHT,MANTIS_IMPORTUSER_LANG_DFT_LEVEL);
        //Affichage du formulaire avec les valeurs par dfaut de configuration (dans le cas de la premire recherche).
        $MyMantisImportUserIHM = new CMantisImportUserIHM($server_parameters,$search_parameters,$user_parameters);
        
        $label_server_parameters = array('  '.lang_get('plugin_'.MANTIS_IMPORTUSER_REGISTER_NAME.'_'.MANTIS_IMPORTUSER_LANG_SERVERPARAMETERS).'  ','  '.lang_get('plugin_'.MANTIS_IMPORTUSER_REGISTER_NAME.'_'.MANTIS_IMPORTUSER_LANG_LDAPSERVER).'  ','  '.lang_get('plugin_'.MANTIS_IMPORTUSER_REGISTER_NAME.'_'.MANTIS_IMPORTUSER_LANG_LDAPPORT).'  ','  '.lang_get('plugin_'.MANTIS_IMPORTUSER_REGISTER_NAME.'_'.MANTIS_IMPORTUSER_LANG_LDAPBINDDN).'  ','  '.lang_get('plugin_'.MANTIS_IMPORTUSER_REGISTER_NAME.'_'.MANTIS_IMPORTUSER_LANG_LDAPASSWORD).'  ');
        $label_search_parameters = array('  '.lang_get('plugin_'.MANTIS_IMPORTUSER_REGISTER_NAME.'_'.MANTIS_IMPORTUSER_LANG_SEARCHPARAMETERS).'  ','  '.lang_get('plugin_'.MANTIS_IMPORTUSER_REGISTER_NAME.'_'.MANTIS_IMPORTUSER_LANG_DN).'  ','  '.lang_get('plugin_'.MANTIS_IMPORTUSER_REGISTER_NAME.'_'.MANTIS_IMPORTUSER_LANG_FILTER).'   ');
        //Affichage du formulaire de configuration.
        $MyMantisImportUserIHM->display_search_form_ldap('return '.MANTIS_IMPORTUSER_JS_VERIF_FORM_USERCONFIG.'()', lang_get('plugin_'.MANTIS_IMPORTUSER_REGISTER_NAME.'_'.MANTIS_IMPORTUSER_LANG_LDAPSARCH), MANTIS_IMPORTUSER_COLOR_DEFAULT_RGB, $label_server_parameters, $label_search_parameters,lang_get('plugin_'.MANTIS_IMPORTUSER_REGISTER_NAME.'_'.MANTIS_IMPORTUSER_LANG_SEARCH));
    }
    
	CMantisImportUserIHM::display_end_div();
	html_page_bottom();